package com.bc_chat.contacts.contract

import com.zhaohaoting.framework.abs.contract.BaseContract


/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群管理
 */

interface GroupManagerContract {

    interface Presenter {
        /**
         * 解散群
         */
        fun dissolutionGroup(groupId: String?, userName: String?)

        /**
         * 禁言
         */
        fun forbidden(groupId: String,  is_banned: Int)

        /**
         * 群主消息置顶
         */
        fun lordNoticeTop(groupId: String,  is_top: Int)

    }

    interface View : BaseContract.BaseView {

        fun dissolutionGroupSuccess()

        fun dissolutionGroupFailure(exception: Exception)

        fun forbiddenSuccess(is_banned: Int?)

        fun forbiddenFailure(exception: Exception)

        fun lordNoticeTopSuccess(isTop:Int)

        fun lordNoticeTopFailure(exception: Exception)

    }
}
